Name: girar-nmu
Version: 1.32
Release: alt0.M60T.1

Summary: git.alt client utilities for NMU automation
License: GPL
Group: Development/Other
Packager: Igor Vlasenko <viy@altlinux.org>
Url: http://www.altlinux.org/Git.alt/girar-nmu
#BuildArch: noarch

Source: %name-%version.tar

#BuildRequires: help2man
BuildRequires: perl-devel perl-podlators perl-RPM perl-RPM-Source-Editor perl-RPM-Source-Convert perl(Pod/Usage.pm) /usr/bin/pod2man perl-Gear-Rules
Requires: gear
Requires: perl-RPM-Source-Editor >= 0.840

%description
This package contains client utilities for git.alt
for NMU automation.

%prep
%setup
rm *.spec

%build
gcc -O2 %optflags -o girar-nmu-helper-pos-sort pos-sort.c

%install
#make_install install DESTDIR=%buildroot

mkdir -p %buildroot%perl_vendor_privlib/RPM/Source/Tools
install -m 644 GirarWriterPrototype.pm %buildroot%perl_vendor_privlib/RPM/Source/Tools/

mkdir -p %buildroot%_bindir
install -m 755 girar-* rpm-sign-* srpmlschangelog %buildroot%_bindir/

for i in girar-* srpmlschangelog; do
    pod2man  --name $i --center 'girar-nmu utils' --section 1 --release %version $i > $i.1 ||:
done
find . -name '*.1' -size 0 -print -delete
mkdir -p %buildroot%_man1dir
install -m 644 girar-*.1 %buildroot%_man1dir/

%files
%doc README
%_bindir/*
%_man1dir/*
%perl_vendor_privlib/RPM*

%changelog
* Thu Jan 14 2016 Cronport Service <cronport@altlinux.org> 1.32-alt0.M60T.1
- backport

* Wed Jan 13 2016 Cronport Service <cronport@altlinux.org> 1.31-alt0.M60T.1
- backport

* Mon Nov 23 2015 Cronport Service <cronport@altlinux.org> 1.30-alt0.M60T.1
- backport

* Mon Nov 16 2015 Cronport Service <cronport@altlinux.org> 1.28-alt0.M60T.1
- backport

* Fri Nov 13 2015 Cronport Service <cronport@altlinux.org> 1.27-alt1.M60T.1
- backport

* Fri Oct 23 2015 Cronport Service <cronport@altlinux.org> 1.27-alt0.M60T.1
- backport

* Tue Oct 13 2015 Cronport Service <cronport@altlinux.org> 1.26-alt0.M60T.1
- backport

* Sun Aug 23 2015 Cronport Service <cronport@altlinux.org> 1.25-alt0.M60T.1
- backport

* Tue Dec 16 2014 Cronport Service <cronport@altlinux.org> 1.24-alt0.M60T.1
- backport

* Thu Dec 11 2014 Cronport Service <cronport@altlinux.org> 1.23-alt0.M60T.1
- backport

* Fri Dec 05 2014 Cronport Service <cronport@altlinux.org> 1.22-alt0.M60T.1
- backport

* Thu Dec 04 2014 Cronport Service <cronport@altlinux.org> 1.21-alt0.M60T.1
- backport

* Thu Nov 27 2014 Cronport Service <cronport@altlinux.org> 1.20-alt0.M60T.1
- backport

* Sun Oct 05 2014 Cronport Service <cronport@altlinux.org> 1.19-alt0.M60T.1
- backport

* Sat Sep 20 2014 Cronport Service <cronport@altlinux.org> 1.18-alt0.M60T.1
- backport

* Sun Jun 15 2014 Cronport Service <cronport@altlinux.org> 1.17-alt0.M60T.1
- backport

* Thu Apr 17 2014 Cronport Service <cronport@altlinux.org> 1.16-alt0.M60T.1
- backport

* Wed Oct 02 2013 Cronbuild Service <cronbuild@altlinux.org> 1.15-alt0.M60T.1
- backport

* Mon May 13 2013 Cronbuild Service <cronbuild@altlinux.org> 1.14-alt2.M60T.1
- backport

* Sun May 12 2013 Cronbuild Service <cronbuild@altlinux.org> 1.14-alt0.M60T.1
- backport

* Wed May 08 2013 Cronbuild Service <cronbuild@altlinux.org> 1.13-alt0.M60T.1
- backport

* Sat Mar 30 2013 Cronbuild Service <cronbuild@altlinux.org> 1.12-alt0.M60T.1
- backport

* Thu Mar 28 2013 Cronbuild Service <cronbuild@altlinux.org> 1.11-alt0.M60T.1
- backport

* Sat Dec 08 2012 Cronbuild Service <cronbuild@altlinux.org> 1.06-alt0.M60T.1
- backport

* Sat Dec 08 2012 Igor Vlasenko <viy@altlinux.ru> 1.06-alt1
- better python sypport

* Sat Dec 01 2012 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1
- new version, requires new RPM-Source-Editor

* Thu Sep 27 2012 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- maintainance release

* Wed Jun 27 2012 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1
- new version thanks to mithraen@

* Mon Jun 18 2012 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- new version thanks to mithraen@

* Mon Jan 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- new version

* Mon Jan 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- new version

* Fri Dec 30 2011 Igor Vlasenko <viy@altlinux.ru> 0.99-alt1
- new version

* Thu Nov 03 2011 Igor Vlasenko <viy@altlinux.ru> 0.98-alt1
- new utils:
	girar-print-build-commit
	girar-nmu-filter-name

* Thu Sep 29 2011 Igor Vlasenko <viy@altlinux.ru> 0.97-alt1
- new version

* Wed May 25 2011 Igor Vlasenko <viy@altlinux.ru> 0.96-alt6
- girar-nmu-sort-transaction: updated man page (thanks to aris@).

* Tue May 24 2011 Igor Vlasenko <viy@altlinux.ru> 0.96-alt5
- bugfix release

* Mon May 23 2011 Igor Vlasenko <viy@altlinux.ru> 0.96-alt4
- bugfix release

* Sat May 21 2011 Igor Vlasenko <viy@altlinux.ru> 0.96-alt3
- fixes in girar-nmu-helper-push-build

* Mon Apr 11 2011 Igor Vlasenko <viy@altlinux.ru> 0.96-alt2
- bugfix release

* Mon Apr 11 2011 Igor Vlasenko <viy@altlinux.ru> 0.96-alt0.M51.1
- backport

* Mon Apr 11 2011 Igor Vlasenko <viy@altlinux.ru> 0.96-alt1
- new version

* Fri Jan 14 2011 Igor Vlasenko <viy@altlinux.ru> 0.95-alt0.M51.1
- M51 backport

* Fri Jan 14 2011 Igor Vlasenko <viy@altlinux.ru> 0.95-alt1
- bugfix release

* Mon Nov 29 2010 Igor Vlasenko <viy@altlinux.ru> 0.94-alt0.M51.1
- M51 backport

* Mon Nov 29 2010 Igor Vlasenko <viy@altlinux.ru> 0.94-alt1
- Release Candidate 4

* Fri Nov 26 2010 Igor Vlasenko <viy@altlinux.ru> 0.93-alt0.M51.1
- M51 backport

* Fri Nov 26 2010 Igor Vlasenko <viy@altlinux.ru> 0.93-alt1
- Release Candidate 3

* Wed Nov 24 2010 Igor Vlasenko <viy@altlinux.ru> 0.92-alt0.M51.1
- M51 backport

* Wed Nov 24 2010 Igor Vlasenko <viy@altlinux.ru> 0.92-alt1
- Release Candidate 2

* Mon Nov 22 2010 Igor Vlasenko <viy@altlinux.ru> 0.91-alt0.M51.1
- M51 backport

* Mon Nov 22 2010 Igor Vlasenko <viy@altlinux.ru> 0.91-alt1
- girar-nmu-local-build: added -f option.
- safe girar-clone-build-commit.

* Sat Nov 20 2010 Igor Vlasenko <viy@altlinux.ru> 0.90-alt0.M51.1
- M51 backport

* Sat Nov 20 2010 Igor Vlasenko <viy@altlinux.ru> 0.90-alt1
- RC1

* Thu Nov 18 2010 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1
- girar-fetch-build-commit, man pages, etc.

* Tue Nov 16 2010 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1
- use remote git clone when possible; new options, etc.

* Mon Nov 15 2010 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1
- refined documentation

* Fri Nov 12 2010 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1
- implemented cycle breaking

* Tue Nov 09 2010 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1
- sort: preliminary support of breaking cycles

* Fri Nov 05 2010 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1
- sort: support of transaction subset

* Thu Nov 04 2010 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- print separate cycle components

* Thu Nov 04 2010 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- bugfix release

* Thu Nov 04 2010 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- bugfix release

* Wed Nov 03 2010 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- bugfix release

* Wed Nov 03 2010 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- added bunch of helper utilities

* Tue Nov 02 2010 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- fix in sort utility

* Mon Oct 25 2010 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- bugfix (thanks to @mithraen)

* Thu Oct 21 2010 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- added --ignore-extra-rpms option

* Sat Oct 16 2010 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- added rpm-sign-no-passphrase

* Tue Oct 05 2010 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- fix in rpm-sign-gpg-agent

* Tue Sep 14 2010 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- added rpm-sign-gpg-agent

* Mon Sep 13 2010 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- girar-nmu -> girar-nmu-prepare

* Mon Sep 13 2010 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- added utilities to sort packages in transaction

* Thu Jul 15 2010 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- added girar-nmu-git-commit-push-build utility

* Wed Jun 30 2010 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- first prerelease w/o documentation

